﻿/**Begin D:\PDM_UPGRADE\PDM1\CREDITM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_APPLY')
 CREATE TABLE T_CREDITM_APPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISGROUPLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FORGSHARETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FGUARTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FGUARANTEEORGID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FISHASCREDITLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITPROP NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRENEWALENDDATE DATETIME,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_APPLY_ORG')
 CREATE TABLE T_CREDITM_APPLY_ORG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSINGLEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOLDSINGLEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_APPLY_ORG_M')
 CREATE TABLE T_CREDITM_APPLY_ORG_M (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_APPLY_TYPE')
 CREATE TABLE T_CREDITM_APPLY_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSINGLEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_APPLY_TYPE_M')
 CREATE TABLE T_CREDITM_APPLY_TYPE_M (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_APPLY_L')
 CREATE TABLE T_CREDITM_APPLY_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME IN ('FGUARANTEEORGID'))
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FGUARANTEEORGID BIGINT DEFAULT 0 NOT NULL );

