﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITUSE') 
 CREATE TABLE T_CFM_CREDITUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRETURNAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FFINVARIETYID BIGINT DEFAULT 0 NOT NULL,
FISCOPY CHAR(1) DEFAULT '0' NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME IN ('FSOURCEBILLENTRYID'))
 ALTER TABLE T_CFM_CREDITUSE ADD (FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL );