﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME IN ('FISRELEASE'))
 ALTER TABLE T_CFM_CREDITUSE ADD (FISRELEASE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_USECONFIG_L')
 CREATE TABLE T_CREDITM_USECONFIG_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_USECONFIG_ENTRY')
 CREATE TABLE T_CREDITM_USECONFIG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFIELDPROP NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CREDITM_USECONFIG')
 CREATE TABLE T_CREDITM_USECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREDITPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITENTRY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAMTPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNOPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCURRENCYPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFILTERCON NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFILTERCON_TAG NCLOB,
FBIZTYPENUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTDATEPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENDDATEPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRE CHAR(1) DEFAULT '0' NOT NULL,
FORDER INT DEFAULT 0 NOT NULL,
FAMOUNTPLUGIN NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBANKTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_USE_CREDIT' AND KSQL_COL_NAME IN ('FBIZBILLTYPE'))
 ALTER TABLE T_CFM_USE_CREDIT ADD (FBIZBILLTYPE NVARCHAR(30) DEFAULT 'other' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_USE_CREDIT' AND KSQL_COL_NAME IN ('FCREDITPRODUCT'))
 ALTER TABLE T_CFM_USE_CREDIT ADD (FCREDITPRODUCT NVARCHAR(80) DEFAULT ' ' NOT NULL );